<script src="https://code.jquery.com/jquery-3.6.0.js"></script>
<script src="https://code.jquery.com/ui/1.13.2/jquery-ui.js"></script>
<script language="javascript">
    isMenuVisible = true;
    document.addEventListener("DOMContentLoaded", function() {
        const button = document.querySelector("#toggleMenu");
        const bookPage = document.querySelector("body > main > div");
        // Save the initial width of the book body, so we can restore it.
        previousWidth = bookPage.clientWidth;
        button.onclick = function() {
            isMenuVisible = !isMenuVisible;
            $("body > main > aside").toggle("slide", function() {
                if (!isMenuVisible) {
                    bookPage.clientWidth = document.body.clientWidth;
                } else {
                    bookPage.clientWidth = previousWidth;
                }
                const svg_list = document.querySelectorAll("svg");
                console.log("Number of svg elements found: " + svg_list.length);
                for(const objectItem of svg_list)
                {
                    objectItem.preserveAspectRatio = "auto"
                    console.log("svg clientWidth set from " + objectItem.clientWidth + " to " + bookPage.clientWidth);
                    objectItem.clientWidth = bookPage.clientWidth;
                }
            });
        };
    })
</script>
<style>
.book-menu {
    display: flex;
    flex-direction: column;
}
</style>
